Index: src/sas/guiframe/acknowledgebox.py
===================================================================
--- src/sas/guiframe/acknowledgebox.py	(revision f53cd304cd510a93b5044d3083224c1b92fccb59)
+++ src/sas/guiframe/acknowledgebox.py	(revision f53cd304cd510a93b5044d3083224c1b92fccb59)
@@ -0,0 +1,98 @@
+'''
+Created on Feb 18, 2015
+
+@author: jkrzywon
+'''
+
+__id__ = "$Id: acknoweldgebox.py 2015-18-02 jkrzywon $"
+__revision__ = "$Revision: 1193 $"
+
+import wx
+import wx.lib.hyperlink
+import random
+import os.path
+import os
+try:
+    # Try to find a local config
+    import imp
+    path = os.getcwd()
+    if(os.path.isfile("%s/%s.py" % (path, 'local_config'))) or \
+      (os.path.isfile("%s/%s.pyc" % (path, 'local_config'))):
+        fObj, path, descr = imp.find_module('local_config', [path])
+        config = imp.load_module('local_config', fObj, path, descr)  
+    else:
+        # Try simply importing local_config
+        import local_config as config
+except:
+    # Didn't find local config, load the default 
+    import config
+    
+
+class DialogAcknowledge(wx.Dialog):
+    """
+    "Acknowledgement" Dialog Box
+    
+    Shows the current method for acknowledging SasView in
+    scholarly publications.
+    
+    """
+    
+    def __init__(self, *args, **kwds):
+        
+        kwds["style"] = wx.DEFAULT_DIALOG_STYLE
+        wx.Dialog.__init__(self, *args, **kwds)
+        
+        self.ack = wx.TextCtrl(self, style=wx.TE_LEFT|wx.TE_MULTILINE|wx.TE_BESTWRAP|wx.TE_READONLY|wx.TE_NO_VSCROLL)
+        self.ack.SetBackgroundColour(wx.NullColour)
+        self.ack.SetValue(config._acknowledgement_publications)
+        self.ack.SetMinSize((-1,60))
+        self.preamble = wx.StaticText(self, -1, config._acknowledgement_preamble)
+        self.static_line = wx.StaticLine(self, 0)
+        
+        self.__set_properties()
+        self.__do_layout()
+        
+    def __set_properties(self):
+        """
+        """
+        # begin wxGlade: DialogAbout.__set_properties
+        self.SetTitle("Acknowledging SasView")
+        self.SetSize((500, 225))
+        # end wxGlade
+
+    def __do_layout(self):
+        """
+        """
+        # begin wxGlade: DialogAbout.__do_layout
+        sizer_main = wx.BoxSizer(wx.VERTICAL)
+        sizer_titles = wx.BoxSizer(wx.VERTICAL)
+        sizer_titles.Add(self.preamble, 0, wx.ALL|wx.EXPAND, 0)
+        sizer_titles.Add(self.static_line, 0, wx.EXPAND, 0)
+        sizer_titles.Add(self.ack, 0, wx.ALL|wx.EXPAND, 0)
+        sizer_main.Add(sizer_titles, -1, wx.ALL|wx.EXPAND, 5)
+        self.SetAutoLayout(True)
+        self.SetSizer(sizer_main)
+        self.Layout()
+        self.Centre()
+        # end wxGlade
+        
+
+##### testing code ############################################################
+class MyApp(wx.App):
+    """
+    """
+    def OnInit(self):
+        """
+        """
+        wx.InitAllImageHandlers()
+        dialog = DialogAcknowledge(None, -1, "")
+        self.SetTopWindow(dialog)
+        dialog.ShowModal()
+        dialog.Destroy()
+        return 1
+
+# end of class MyApp
+
+if __name__ == "__main__":
+    app = MyApp(0)
+    app.MainLoop()
Index: src/sas/guiframe/config.py
===================================================================
--- src/sas/guiframe/config.py	(revision fd5ac0db8089df5bd882587f157d4bf317cfcf67)
+++ src/sas/guiframe/config.py	(revision f53cd304cd510a93b5044d3083224c1b92fccb59)
@@ -26,5 +26,18 @@
 # About box info
 _do_aboutbox = True
+_do_acknowledge = True
 _do_tutorial = True
+_acknowledgement_preamble =\
+'''If you found this software useful to your work please remember to acknowledge 
+its use in your publications as suggested below and reference the SasView website: 
+http://www.sasview.org/index.html. Please also consider letting us know by sending us the 
+reference to your work. This will help us to ensure the long term support and 
+development of the software.
+'''
+_acknowledgement_publications = \
+'''This work originally developed as part of the DANSE project funded by the NSF
+under grant DMR-0520547, and currently maintained by NIST, UMD, ORNL, ISIS, ESS 
+and ILL.
+'''
 _acknowledgement =  \
 '''This software was developed by the University of Tennessee as part of the
Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 8729965813fed53bbb14373a2965fcad9856c62d)
+++ src/sas/guiframe/gui_manager.py	(revision f53cd304cd510a93b5044d3083224c1b92fccb59)
@@ -1351,4 +1351,9 @@
             wx.EVT_MENU(self, id, self._onTutorial)
             
+        if config._do_acknowledge:
+            self._help_menu.AppendSeparator()
+            self._help_menu.Append(id, '&Acknowledge', 'Acknowledging SasView')
+            wx.EVT_MENU(self, id, self._onAcknowledge)
+        
         if config._do_aboutbox:
             self._help_menu.AppendSeparator()
@@ -2098,4 +2103,16 @@
                 self.SetStatusText(msg)
                     
+    def _onAcknowledge(self, evt):
+        """
+        Pop up the acknowledge dialog
+        
+        :param evt: menu event
+        
+        """
+        if config._do_acknowledge:
+            import sas.guiframe.acknowledgebox as AcknowledgeBox
+            dialog = AcknowledgeBox.DialogAcknowledge(None, -1, "")
+            dialog.ShowModal()
+                     
     def _onAbout(self, evt):
         """
